package b4a.ClassDraw;


import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.B4AClass;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.debug.*;

public class square extends B4AClass.ImplB4AClass implements BA.SubDelegator{
    private static java.util.HashMap<String, java.lang.reflect.Method> htSubs;
    private void innerInitialize(BA _ba) throws Exception {
        if (ba == null) {
            ba = new anywheresoftware.b4a.ShellBA(_ba, this, htSubs, "b4a.ClassDraw.square");
            if (htSubs == null) {
                ba.loadHtSubs(this.getClass());
                htSubs = ba.htSubs;
            }
            
        }
        if (BA.isShellModeRuntimeCheck(ba)) 
			   this.getClass().getMethod("_class_globals", b4a.ClassDraw.square.class).invoke(this, new Object[] {null});
        else
            ba.raiseEvent2(null, true, "class_globals", false);
    }

 
    public void  innerInitializeHelper(anywheresoftware.b4a.BA _ba) throws Exception{
        innerInitialize(_ba);
    }
    public Object callSub(String sub, Object sender, Object[] args) throws Exception {
        return BA.SubDelegator.SubNotFound;
    }
public anywheresoftware.b4a.keywords.Common __c = null;
public int _mx = 0;
public int _my = 0;
public int _mwidth = 0;
public b4a.ClassDraw.main _main = null;
public b4a.ClassDraw.starter _starter = null;
public String  _initialize(b4a.ClassDraw.square __ref,anywheresoftware.b4a.BA _ba,anywheresoftware.b4a.objects.collections.List _shapes,int _x,int _y,int _width) throws Exception{
__ref = this;
innerInitialize(_ba);
RDebugUtils.currentModule="square";
if (Debug.shouldDelegate(ba, "initialize"))
	return (String) Debug.delegate(ba, "initialize", new Object[] {_ba,_shapes,_x,_y,_width});
RDebugUtils.currentLine=851968;
 //BA.debugLineNum = 851968;BA.debugLine="Sub Initialize (Shapes As List, x As Int, y As Int";
RDebugUtils.currentLine=851969;
 //BA.debugLineNum = 851969;BA.debugLine="mx = x";
__ref._mx = _x;
RDebugUtils.currentLine=851970;
 //BA.debugLineNum = 851970;BA.debugLine="my = y";
__ref._my = _y;
RDebugUtils.currentLine=851971;
 //BA.debugLineNum = 851971;BA.debugLine="mWidth = Width";
__ref._mwidth = _width;
RDebugUtils.currentLine=851972;
 //BA.debugLineNum = 851972;BA.debugLine="Shapes.Add(Me)";
_shapes.Add(this);
RDebugUtils.currentLine=851973;
 //BA.debugLineNum = 851973;BA.debugLine="End Sub";
return "";
}
public String  _draw(b4a.ClassDraw.square __ref,anywheresoftware.b4a.objects.drawable.CanvasWrapper _c) throws Exception{
__ref = this;
RDebugUtils.currentModule="square";
if (Debug.shouldDelegate(ba, "draw"))
	return (String) Debug.delegate(ba, "draw", new Object[] {_c});
anywheresoftware.b4a.objects.drawable.CanvasWrapper.RectWrapper _r = null;
RDebugUtils.currentLine=917504;
 //BA.debugLineNum = 917504;BA.debugLine="Sub Draw(c As Canvas)";
RDebugUtils.currentLine=917505;
 //BA.debugLineNum = 917505;BA.debugLine="Private r As Rect";
_r = new anywheresoftware.b4a.objects.drawable.CanvasWrapper.RectWrapper();
RDebugUtils.currentLine=917506;
 //BA.debugLineNum = 917506;BA.debugLine="r.Initialize(mx, my, mx + mWidth, my + mWidth)";
_r.Initialize(__ref._mx,__ref._my,(int) (__ref._mx+__ref._mwidth),(int) (__ref._my+__ref._mwidth));
RDebugUtils.currentLine=917507;
 //BA.debugLineNum = 917507;BA.debugLine="c.DrawRect(r, Colors.Red, False, 1dip)";
_c.DrawRect((android.graphics.Rect)(_r.getObject()),__c.Colors.Red,__c.False,(float) (__c.DipToCurrent((int) (1))));
RDebugUtils.currentLine=917508;
 //BA.debugLineNum = 917508;BA.debugLine="End Sub";
return "";
}
public String  _class_globals(b4a.ClassDraw.square __ref) throws Exception{
__ref = this;
RDebugUtils.currentModule="square";
RDebugUtils.currentLine=786432;
 //BA.debugLineNum = 786432;BA.debugLine="Sub Class_Globals";
RDebugUtils.currentLine=786433;
 //BA.debugLineNum = 786433;BA.debugLine="Private mx, my, mWidth As Int";
_mx = 0;
_my = 0;
_mwidth = 0;
RDebugUtils.currentLine=786434;
 //BA.debugLineNum = 786434;BA.debugLine="End Sub";
return "";
}
}